%define name rh-isdn
%define version 0.59
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}
Group: Utilities/System
Copyright: GPL
Source0: http://www.webideal.de/rh-isdn/downloads/%{name}-%{version}.tgz
Summary: A few scripts and documentation to set up ISDN on RedHat
Buildroot: /tmp/%{name}-%{version}
BuildArchitectures: noarch
Vendor: webIdeal (http://www.webideal.de)
Requires: isdn4k-utils initscripts net-tools
Packager: Mirko Zeibig <mz@webideal.de>

%Changelog
* Tue Dec 29 1999 <mz@webideal.de>
- new script to get dynamic DNS-resolution
- some updates for chargehup in the docu
- wrong command for hisaxctrl would not let isdnlog change huptime correctly
- COPYING and CHANGELOG in html-format
- /etc/rc.d/init.d/isdn4linux: help returns basename
* Tue Dec 14 1999 <mz@webideal.de>
- small updates in spec-file (ioptions) and install.sh
- included link for rcisdn pointing to /etc/rc.d/init.d/isdn4linux
- Corrected hints how to test the hardware-layer 
- ioptions removed
- create ioptions in %post-section
* Mon Dec 13 1999 <mz@webideal.de>
- Corrected hints how to test the hardware-layer and a missing reference
  to isdn4linux in test-section of doc
- Included Changelog in html-doc
- ioptions removed
- description in ip-up.local and the scripts in /etc/ppp/scripts
- lock and debug now set in /etc/ppp/ippp0.d/options
- improved errorhandling/status/outpur for /etc/rc.d/init.d/isdn4linux
- improved errorhandling/output for 
  /etc/sysconfig/network-scripts/ifup-ippp|ifdown-ippp
- fixed a routing bug in ifup-ippp (route-entry for kernel 2.0.X was 
  only set, if ippp was GATEWAYDEV as well)
* Fri Dec 10 1999 <mz@webideal.de>
- rh-isdn-conf now handles needed parameters in isdn.conf and set "user" in
  /etc/ppp/ippp0.d/options according to pap-secrets.
- updated the documentation to include rh-isdn-conf as well
- some FAQ-stuff
* Mon Nov 15 1999 <mz@webideal.de>
- forgot to include some links from the /etc/ppp/ippp0.d/{up,down}-directory
  to /etc/ppp/scripts (missing due to CVS!)
* Sun Nov 14 1999 <mz@webideal.de>
- put the whole stuff into CVS (really nice tool), building the package 
  therefore now requires python and the whole docbook-jade-sgml stuff
- changed copyright to GPL
- Ruediger Sopp <rsopp@ernie.MI.Uni-Koeln.DE> provided some code for
  dialin-support in ifup-ippp as well as support for more than one number.
- as well he reported a bug, where the default-route was deleted even if 
  the dialed device was not the GATEWAYDEV. This is hopefully fixed by
  the changes in /etc/ppp/scripts/routes.
* Tue Oct 19 1999 <mz@webideal.de>
- detected some incompatabilities with RH6.1 (I do not have it), please
  look to the FAQ-section
- added configuration for more than one isdn-card (thanx to Gerhard Sittig).
* Tue Oct 12 1999 <mz@webideal.de>
- documentation now in docbook-format, rearranged and (hopefully) improved,
  now covers multiple configurations, added a few links.
- some minor corrections in the scripts
* Wed Sep 15 1999 <mz@webideal.de>
- changed included docu to a more Howto-Style, changed outfit of site as
  Netscape is doing cruel things with the <pre>-tag if you assign a class 
  with borders.
* Tue Sep 14 1999 <mz@webideal.de>
- my first version of a small configuration-script for ifcfg-ippp0
- goes to seperate package rh-isdn-conf
- just execute rh-isdn to run it
* Sat Sep 11 1999 <mz@webideal.de>
- added some require-statements, now channel bundling is supported somehow
- got rid of some files belonging to isdn4k-utils resp. ppp
* Fri Sep 10 1999 <mz@webideal.de>
- spec-file did not include the routes-script!

%description
As RedHat does not seem to care for ISDN I wrote a 
few scripts on my own with a little bit of inspiration by 
isdn4net and the SuSE-startup-files. There is a spanish 
version  of this document available.
This is tested for RH 5.2 in combination with PAP-PPP, 
dynamic IP and an Elsa QuikStep 1000 ISA-card (only 
hisax is supported by these scripts out of the box).
I now have tested this one with the "german" 
Halloween III which is a descendant of RH6.0.
------
Author: Mirko Zeibig <mz@webideal.de>

%package conf
Summary: Simple Python-Script to set up rh-isdn (uses newt) 
Group: Utilities/System
Requires: %{name} = %{version} newt >= 0.50

%description conf
An effort to write a simple configuration-tool for the package 
in Python. Note that these scripts use the newt-extentions.
To invoke just enter rh-isdn (you must be root, of course).

%prep
%setup -n rh-isdn

%build

%install
env ${builddir}=%{builddir} ./install.sh $RPM_BUILD_ROOT

%clean
#rename the installation root more appropriately
INST_ROOT=$RPM_BUILD_ROOT
rm -rf $INST_ROOT

%post
# ipppd needs ioptions, just create it if it isn't there
[ -f /etc/ppp/ioptions ] || {
    touch /etc/ppp/ioptions
}

%files
/etc/sysconfig/network-scripts/if*-ippp
/etc/rc.d/init.d/isdn4linux
/etc/ppp/*.local
/etc/ppp/scripts/common
/etc/ppp/scripts/get-dns
/etc/ppp/scripts/onlinetime
/etc/ppp/scripts/routes
/etc/ppp/ippp0.d/down/*
/etc/ppp/ippp0.d/up/*
/etc/ppp/ippp0.d/fetchmailrc.sample
/etc/ppp/pap-secrets.sample
/etc/ppp/chap-secrets.sample
/usr/sbin/rcisdn
%doc docs/rh-isdn/*
%config /etc/sysconfig/isdn
%config /etc/sysconfig/network-scripts/ifcfg-ippp0
%config /etc/ppp/ippp0.d/options
%config /etc/ppp/scripts/private
%config /etc/isdn/*

%files conf
%doc docs/rh-isdn-conf/*
/usr/sbin/rh-isdn
/usr/lib/rh-isdn/*
